Bug 1128335 - Review Request: libdom - C implementation of the W3C DOM
Summary: Review Request: libdom - C implementation of the W3C DOM
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Hans de Goede
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-09 07:08 UTC by Christopher Meng
Modified: 2014-08-13 02:11 UTC (History)
2 users (show)

Fixed In Version: libdom-0.1.0-1.fc22 libdom-0.1.0-1.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-08-13 02:11:14 UTC
hdegoede: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Christopher Meng 2014-08-09 07:08:54 UTC
Spec URL: http://us-la.cicku.me/libdom.spec
SRPM URL: http://us-la.cicku.me/libdom-0.1.0-1.fc22.src.rpm
Description: LibDOM is an implementation of the W3C DOM, written in C.
Fedora Account System Username: cicku

Comment 1 Hans de Goede 2014-08-12 10:55:16 UTC
Full review done:

Good:
=====
- rpmlint checks return:
 libdom-devel.x86_64: W: only-non-binary-in-usr-lib
 4 packages and 0 specfiles checked; 0 errors, 1 warnings.
 -This is just rpmlint showing a new level of mindlessness even for rpmlint, can be safely ignored
- package meets naming guidelines
- package meets packaging guidelines
- license (MIT) OK, text in %doc, matches source
- spec file legible, in am. english
- source matches upstream
- package compiles on F-21 (x86_64)
- no missing BR
- no unnecessary BR
- no locales
- not relocatable
- owns all directories that it creates
- no duplicate files
- permissions ok
- macro use consistent
- code, not content
- no need for -docs
- nothing in %doc affects runtime
- no need for .desktop file
- devel package ok
- no .la files
- post/postun ldconfig ok
- devel requires base package n-v-r and isa

Needs work:
========
- Nothing

APPROVED.

Comment 2 Christopher Meng 2014-08-12 11:21:27 UTC
Thanks!

I will reply your ticket later, I have some situations here.

New Package SCM Request
=======================
Package Name: libdom
Short Description: C implementation of the W3C DOM
Upstream URL: http://www.netsurf-browser.org/projects/libdom/
Owners: cicku
Branches: f19 f20 f21 epel7 el6

Comment 3 Gwyn Ciesla 2014-08-12 12:12:48 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.